<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>

<div>
    <input type="text" placeholder="Automarke" id="carInput">
    <button type="button" id="addCarButton">Hinzufügen</button>
</div>

<script>
    //               0        1       2     3
    const cars = ["Honda", "Mazda", "BMW", 456];
    console.log(cars)

    const carInput = document.getElementById('carInput')
    const addCarButton = document.getElementById('addCarButton')

    addCarButton.addEventListener('click', function () {
        const car = carInput.value
        if(car) {
            cars.push(car)

            console.log(cars.length)
            console.log(cars[cars.length - 1])
            for(let i = 0; i < cars.length; i++) {
                console.log(cars[i])
            }
        }
    })

    console.log(cars[0])
</script>
</body>
</html>
